Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw
Class XMLFactory_2_0_0

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.owscommon.XMLFactory
              org.deegree.ogcwebservices.csw.XMLFactory_2_0_0

Direct Known Subclasses:
  XMLFactory_2_0_2

    public class XMLFactory_2_0_0

extends XMLFactory

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $

Field Summary
`protected static URI` | `DEEGREECSW`

Fields inherited from class org.deegree.owscommon.XMLFactory
`DEEGREECSWNS, OWSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, LOG, OGCNS, XLNNS`

Constructor Summary
`XMLFactory_2_0_0()`

Method Summary
`protected static void` | `appendOperationsMetadata(Element root, OperationsMetadata operationsMetadata, boolean capabilities)` Appends the DOM representation of the `OperationsMetadata`- section to the passed `Element`.
`protected static void` | `appendParameter(Element root, CatalogueOutputSchemaParameter parameter, String elementName, boolean capabilities)` Appends the DOM representation of a `OWSDomainType` instance to the passed `Element`.
`protected static void` | `appendParameter(Element root, CatalogueTypeNameSchemaParameter parameter, String elementName, boolean capabilities)` Appends the DOM representation of a `OWSDomainType` instance to the passed `Element`.
`static CatalogueCapabilitiesDocument` | `export(CatalogueCapabilities capabilities, String[] sections)` Exports a `CatalogCapabilities` instance as an `XmlDocument`.
`static CatalogueConfigurationDocument` | `export(CatalogueConfiguration configuration)` Exports a `CatalogConfiguration` instance to an `XmlDocument`.

Methods inherited from class org.deegree.owscommon.XMLFactory
`appendAddress, appendDCP, appendException, appendMetadata, appendOperationsMetadata, appendOWSKeywords, appendOWSKeywords, appendParameter, appendPhone, appendServiceIdentification, appendServiceProvider, export, exportExceptionReport, exportExceptionReportWFS, exportExceptionReportWFS100, exportNS, maybeSetAttribute`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEEGREECSW

    protected static final URI DEEGREECSW

Constructor Detail

### XMLFactory_2_0_0

    public XMLFactory_2_0_0()

Method Detail

### export

    public static CatalogueConfigurationDocument export(CatalogueConfiguration configuration)

  Exports a `CatalogConfiguration` instance to an `XmlDocument`.

  Parameters:
    `configuration` -
  Returns:
    DOM representation of the `CatalogConfiguration`

### export

    public static CatalogueCapabilitiesDocument export(CatalogueCapabilities capabilities,
                                                       String[] sections)
                                                throws IOException

  Exports a `CatalogCapabilities` instance as an `XmlDocument`.

  Parameters:
    `capabilities` -
    `sections` - names of sections to be exported, may contain 'All'
  Returns:
    DOM representation of the `CatalogCapabilities`
  Throws:
    `IOException` - if XML template could not be loaded

### appendOperationsMetadata

    protected static void appendOperationsMetadata(Element root,
                                                   OperationsMetadata operationsMetadata,
                                                   boolean capabilities)

  Appends the DOM representation of the `OperationsMetadata`- section to the passed `Element`.

  Parameters:
    `root` -

### appendParameter

    protected static void appendParameter(Element root,
                                          CatalogueOutputSchemaParameter parameter,
                                          String elementName,
                                          boolean capabilities)

  Appends the DOM representation of a `OWSDomainType` instance to the passed `Element`.

  Parameters:
    `root` -
    `parameter` -

### appendParameter

    protected static void appendParameter(Element root,
                                          CatalogueTypeNameSchemaParameter parameter,
                                          String elementName,
                                          boolean capabilities)

  Appends the DOM representation of a `OWSDomainType` instance to the passed `Element`.

  Parameters:
    `root` -
    `parameter` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org